import React, { useCallback } from 'react';
import { connect, history } from 'umi';
import { PageContainer } from '@ant-design/pro-layout';
import ProTable from '@ant-design/pro-table';
import { Space } from 'antd';
import { queryTable } from '@/utils/request';

const StudentList = () => {
  const handleStudentClick = useCallback((id) => {
    if (id) {
      history.push(`/student/student/edit?id=${id}`);
    }
  }, []);

  const columns = [
    {
      title: '编号',
      dataIndex: 'personId',
      align: 'center',
      hideInSearch: true,
    },
    {
      title: '姓名',
      dataIndex: 'name',
      align: 'center',
    },
    {
      title: '昵称',
      dataIndex: 'nickName',
      align: 'center',
      hideInSearch: true,
    },
    {
      title: '联系方式',
      dataIndex: 'phone',

      align: 'center',
    },
    {
      title: '学校',
      dataIndex: 'schoolId',

      align: 'center',

    },
    {
      title: '专业',
      dataIndex: 'specialtyName',

      align: 'center',
    },

    {
      title: '学号',
      dataIndex: 'studentId',
      align: 'center',
    },
    {
      title: '操作',
      dataIndex: 'action',
      align: 'center',
      hideInSearch: true,
      render: (text, record) => (
        <Space size="middle">
          <a onClick={() => handleStudentClick(record.personId)}>用户详情 </a>
        </Space>
      ),
    },
  ];

  return (
    <PageContainer>
      <ProTable
        columns={columns}
        request={queryTable('/person')}
        rowKey="schoolId"
        headerTitle="学校列表"
        search={{
          labelWidth: '4em',
        }}
      />
    </PageContainer>
  );
};

export default connect((s) => ({
  typeList: s.post.typeList,
}))(StudentList);
